Package org.wso2.carbon.proxyadmin

## Class ProxyServiceDeployer

- java.lang.Object
- - org.apache.axis2.deployment.AbstractDeployer
  - - org.apache.synapse.deployers.AbstractSynapseArtifactDeployer
    - - org.apache.synapse.deployers.ProxyServiceDeployer
      - - org.wso2.carbon.proxyadmin.ProxyServiceDeployer

- All Implemented Interfaces:
    `org.apache.axis2.deployment.Deployer`

      public class ProxyServiceDeployer
      extends org.apache.synapse.deployers.ProxyServiceDeployer

- - ### Field Summary

    - ### Fields inherited from class org.apache.synapse.deployers.ProxyServiceDeployer

      `failSafeStr`

    - ### Fields inherited from class org.apache.synapse.deployers.AbstractSynapseArtifactDeployer

      `cfgCtx, customLogContent, deployerLog`

    - ### Fields inherited from class org.apache.axis2.deployment.AbstractDeployer

      `deploymentFileDataMap`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProxyServiceDeployer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `deploySynapseArtifact​(org.apache.axiom.om.OMElement artifactConfig, String fileName, Properties properties)` |
    `void` | `init​(org.apache.axis2.context.ConfigurationContext configCtx)` |
    `void` | `restoreSynapseArtifact​(String artifactName)` |
    `void` | `undeploySynapseArtifact​(String artifactName)` |
    `String` | `updateSynapseArtifact​(org.apache.axiom.om.OMElement artifactConfig, String fileName, String existingArtifactName, Properties properties)` |

    - ### Methods inherited from class org.apache.synapse.deployers.AbstractSynapseArtifactDeployer

      `deploy, executeExtendedSynapseHandlerOnArtifactDeployment, executeSynapseHandlerOnArtifactUnDeployment, getServerConfigurationInformation, getServerContextInformation, getSynapseConfiguration, getSynapseEnvironment, handleSynapseArtifactDeploymentError, handleSynapseArtifactDeploymentError, setCustomLog, setDirectory, setExtension, undeploy, waitForCompletion, writeToFile`

    - ### Methods inherited from class org.apache.axis2.deployment.AbstractDeployer

      `cleanup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.axis2.deployment.Deployer

      `sort`

- - ### Constructor Detail

    - #### ProxyServiceDeployer

          public ProxyServiceDeployer()

  - ### Method Detail

    - #### init

          public void init​(org.apache.axis2.context.ConfigurationContext configCtx)

      Specified by:
        `init` in interface `org.apache.axis2.deployment.Deployer`
      Overrides:
        `init` in class `org.apache.synapse.deployers.AbstractSynapseArtifactDeployer`

    - #### deploySynapseArtifact

          public String deploySynapseArtifact​(org.apache.axiom.om.OMElement artifactConfig,
                                              String fileName,
                                              Properties properties)

      Overrides:
        `deploySynapseArtifact` in class `org.apache.synapse.deployers.ProxyServiceDeployer`

    - #### updateSynapseArtifact

          public String updateSynapseArtifact​(org.apache.axiom.om.OMElement artifactConfig,
                                              String fileName,
                                              String existingArtifactName,
                                              Properties properties)

      Overrides:
        `updateSynapseArtifact` in class `org.apache.synapse.deployers.ProxyServiceDeployer`

    - #### undeploySynapseArtifact

          public void undeploySynapseArtifact​(String artifactName)

      Overrides:
        `undeploySynapseArtifact` in class `org.apache.synapse.deployers.ProxyServiceDeployer`

    - #### restoreSynapseArtifact

          public void restoreSynapseArtifact​(String artifactName)

      Overrides:
        `restoreSynapseArtifact` in class `org.apache.synapse.deployers.ProxyServiceDeployer`